# Uses of Interface
java.lang.classfile.attribute.RuntimeVisibleAnnotationsAttribute

Packages that use RuntimeVisibleAnnotationsAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of RuntimeVisibleAnnotationsAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type RuntimeVisibleAnnotationsAttribute
Modifier and Type
Method
Description
`static AttributeMapper<RuntimeVisibleAnnotationsAttribute>`
Attributes.`runtimeVisibleAnnotations()`
Returns the mapper for the `RuntimeVisibleAnnotations` attribute.

## Uses of RuntimeVisibleAnnotationsAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type RuntimeVisibleAnnotationsAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`RuntimeVisibleAnnotationsAttribute`
Models the `RuntimeVisibleAnnotations` attribute (JVMS §4.7.16), which stores declaration annotations on this structure that are visible to both `class` file consumers and core reflection.
Methods in java.lang.classfile.attribute that return RuntimeVisibleAnnotationsAttribute
Modifier and Type
Method
Description
`static RuntimeVisibleAnnotationsAttribute`
RuntimeVisibleAnnotationsAttribute.`of(Annotation... annotations)`
Returns a `RuntimeVisibleAnnotations` attribute.
`static RuntimeVisibleAnnotationsAttribute`
RuntimeVisibleAnnotationsAttribute.`of(List<Annotation> annotations)`
Returns a `RuntimeVisibleAnnotations` attribute.